Subject: Re: bug#72852: closed (Re: bug#72852: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0)

From: Eric Gallager <[email-masked]>
Date: Sun, 8 Sep 2024 17:23:23 -0400

Hi, unfortunately I still see failures with the patch applied, and
actually even more of them, in fact (14, to be specific), although
that might be because I ran the testsuite with parallelism (`make -k
-j16 check`) this time:
...
FAIL: t/auxdir-cc-pr15981.sh
...
FAIL: t/aminit-trailing-dnl-comment-pr16841.sh
...
FAIL: t/am-default-source-ext.sh
...
FAIL: t/cxx-demo.sh
...
FAIL: t/preproc-demo.sh
...
FAIL: t/subobj-pr13928-more-langs.sh
...
FAIL: t/suffix3.tap 8 - make distcheck
...
FAIL: t/version3.sh
FAIL: t/version4.sh
FAIL: t/version6.sh
...
FAIL: t/yacc-cxx.sh
...
FAIL: t/yacc-bison-skeleton-cxx.sh
...
FAIL: t/yacc-d-cxx.sh
...
FAIL: t/vala-mix2.sh
...
============================================================================
Testsuite summary for GNU Automake 1.17.0.90
============================================================================
# TOTAL: 2994
# PASS:  2903
# SKIP:  37
# XFAIL: 40
# FAIL:  14
# XPASS: 0
# ERROR: 0
============================================================================
See ./test-suite.log for debugging.
Some test(s) failed.  Please report this to [email-masked],
together with the test-suite.log file (gzipped) and your system
information.  Thanks.
============================================================================
make[2]: *** [test-suite.log] Error 1
make[1]: *** [check-TESTS] Error 2
make: *** [check-am] Error 2
make: Target `check' not remade because of errors.

On Sat, Sep 7, 2024 at 1:17 PM GNU bug Tracking System
<[email-masked]> wrote:
>
> Your bug report
>
> #72852: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0
>
> which was filed against the automake package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 72852: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72852
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
>
> ---------- Forwarded message ----------
> From: Karl Berry <[email-masked]>
> To: [email-masked]
> Cc: [email-masked], [email-masked]
> Bcc:
> Date: Sat, 7 Sep 2024 11:16:04 -0600
> Subject: Re: bug#72852: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0
> Hi Eric - I applied the patch from 72225, which hopefully also fixes
> your report in 72852. Closing both, with fingers crossed. Thanks!! -k
>
>
>
>
> ---------- Forwarded message ----------
> From: Eric Gallager <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Wed, 28 Aug 2024 10:40:36 -0400
> Subject: Testsuite summary for GNU Automake 1.17 on x86_64-apple-darwin20.6.0
> ...
> FAIL: t/am-default-source-ext.sh
> ...
> FAIL: t/cxx-demo.sh
> ...
> FAIL: t/subobj-pr13928-more-langs.sh
> ...
> FAIL: t/suffix3.tap 8 - make distcheck
> ...
> FAIL: t/vala-mix2.sh
> ...
> FAIL: t/yacc-cxx.sh
> FAIL: t/yacc-bison-skeleton-cxx.sh
> ...
> FAIL: t/yacc-d-cxx.sh
> ...
> ============================================================================
> Testsuite summary for GNU Automake 1.17
> ============================================================================
> # TOTAL: 2994
> # PASS:  2909
> # SKIP:  37
> # XFAIL: 40
> # FAIL:  8
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See ./test-suite.log for debugging.
> Some test(s) failed.  Please report this to [email-masked],
> together with the test-suite.log file (gzipped) and your system
> information.  Thanks.
> ============================================================================
> make[2]: *** [test-suite.log] Error 1
> make[1]: *** [check-TESTS] Error 2
> make: *** [check-am] Error 2